# Struct std::sync::BarrierWaitResult [−] [src]

    pub struct BarrierWaitResult(_);

A result returned from wait.

Currently this opaque structure only has one method, `.is_leader()`. Only one thread will receive a result that will return `true` from this function.

## Methods

### `impl BarrierWaitResult`

#### `fn is_leader(&self) -> bool`

Returns whether this thread from `wait` is the "leader thread".

Only one thread will have `true` returned from their result, all other threads will have `false` returned.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize`)